Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-18114

[CNO] nodeSelector[beta.kubernetes.io/os]: deprecated since v1.14

    XMLWordPrintable

Details

    • Low
    • No
    • SDN Sprint 241, SDN Sprint 242
    • 2
    • False
    • Hide

      None

      Show
      None
    • Release Note Not Required
    • In Progress

    Description

      Description of problem:

      
      Warning: spec.template.spec.nodeSelector[beta.kubernetes.io/os]: deprecated since v1.14; use "kubernetes.io/os" instead
      
      

      Version-Release number of selected component (if applicable):

      4.14.0-0.nightly-2023-08-17-145803
      
      

      How reproducible:
      Always

      Steps to Reproduce:

      1. oc rollout restart ds/ovnkube-node
      2.
      3.
      

      Actual results:

      Warning: spec.template.spec.nodeSelector[beta.kubernetes.io/os]: deprecated since v1.14; use "kubernetes.io/os" instead
      

      Expected results:

      No warning

      Attachments

        Activity

          People

            rravaiol@redhat.com Riccardo Ravaioli
            rbrattai@redhat.com Ross Brattain
            Arti Sood Arti Sood
            Votes:
            0 Vote for this issue
            Watchers:
            7 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: